# fonchain-container 货架管理微服务

## 项目说明
项目包含硬件mcu程序和软件服务端程序。mcu程序基于C++开发，位于[./src](./src)目录中；服务端的mcu控制程序，位于[./cmd/internal/embedded](./cmd/internal/embedded)目录中

## 代办
 - [ ] 完善ping方法， 记录硬件的网络状态。
 - [ ] 服务端记录led灯状态，如果货柜连接服务端后
## 需求文档
仓库管理需求：https://hh1ty0.axshare.com/

### 硬件说明
硬件最终选择ESP8266开发板，配合WS2812B灯带实现灯光控制效果。通过与服务端建立TCP连接，实现硬件与服务端的通信。
针对供电不稳定的情况，在VCC和GND之间并联5V电源，在控制引脚串联330欧姆电阻提高电压稳定性。

LED具体信息参考[WS2812B LED灯说明](./docs/readme/WS2812BUserGuide.md)