// Package model -----------------------------
// @file      : device.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/1 下午3:03
// -------------------------------------------
package model

type Device struct {
	Model
	SN        string `gorm:"column:sn;comment:硬件设备序列号"`
	Location  string `gorm:"column:location;comment:所在位置"`
	NetStatus int    `gorm:"column:net_status;default:2;comment:联网状态 1=在线 2=离线"`
	UseStatus int    `gorm:"column:use_status;default:1;comment:设备状态 1=使用中 2=作废"`
}

func (d Device) TableName() string {
	return "device"
}
